What is the Static Basemap Tiles service?
The ArcGIS Static Basemap Tiles service
You can use the service to:
- Build mapping applications to display map tiles for the world.
- Provide the underlying visual and geographic context for a map.
- Show map tile styles such as streets, navigation, and light-gray.
- Display key ArcGIS Basemap styles that use authoritative data providers.
- Display Open Basemap styles that use open source data providers.
- Access data for maps using ArcGIS Maps SDKs and Open source libraries.
- Set the language and worldview display preference (ArcGIS Basemap styles family only).
- Support non-WebGL and older clients.
How to use the Static Basemap Tiles service
To request a basemap, you need to use a mapping API that can access a tile service. You request tiles by using the service URL with the appropriate path parameters. The path parameters specify the style family, style name, and tile scheme. When using the ArcGIS Maps SDKs, helper classes and enumerations may be available to access each style. When using open source libraries, you typically need to define the service URL and path parameters yourself. You may also have to provide Esri and data attribution. The query parameters can be used to set preferences for the style returned.
The steps to use the service are to:
- Get an access token with the correct privilege.
- Define the service URL and path parameters for the appropriate style family and style name.
- Set the query parameters to display the preferred language and worldview (if available).
const basemapStyle = "arcgis/navigation";
// const basemapStyle = "arcgis/streets"
// const basemapStyle = "arcgis/outdoor"
// const basemapStyle = "arcgis/light-gray"
// const basemapStyle = "arcgis/dark-gray"
const basemap = new Basemap({
baseLayers: [
new TileLayer({
url: `https://static-map-tiles-api.arcgis.com/arcgis/rest/services/static-basemap-tiles-service/v1/${basemapStyle}/static`,
}),
],
});
const map = new Map({
basemap: basemap,
});
const view = new MapView({
container: "viewDiv",
map: map,
center: [-91.2996, 37.1174], // USA (x, y)
zoom: 4,
});
Service URL
https://static-map-tiles-api.arcgis.com/arcgis/rest/services/static-basemap-tiles-service/v1Path parameters
These are required parameters to specify the style to access.
https://static-map-tiles-api.arcgis.com/arcgis/rest/services/static-basemap-tiles-service/v1/{style_family}/{style}/static/tile/{z}/{y}/{x}| Name | Description | Example |
|---|---|---|
{style | Required: The name of the style family for the data providers. | arcgis or open |
{style | Required: Name of the style. See ArcGIS styles or Open styles for all names. | navigation |
{z}/{y}/{x} | Required: The tiling scheme to retrieve tiles. The format is {level}/{row}/{column}. | 17/52333/22866 |
Query parameters
These are optional parameters to set style preferences and the access token. Some are only available for key styles.
| Name | Description | Example |
|---|---|---|
language | Display labels with a preferred language setting. ArcGIS styles only | language=en |
worldview | Display a worldview. The service currently offers the United States worldview. For additional views, consider using the basemap styles service. ArcGIS styles only | worldview=united |
token | The token to access the service. Required unless authorization headers are used. Must be granted privilege: premium:user:staticbasemaptiles. | token= or X- |
Tokens
Access token
To request styles from the basemap service, you need an access tokenpremium privilege. Using the access token directly to access styles will result in basemap tile usage charges
How to use access tokens
Query parameter
An access tokentoken query parameter.
https://static-map-tiles-api.arcgis.com/arcgis/rest/services/static-basemap-tiles-service/v1/{style_family}/{style_name}/{z}/{y}/{x}?token=<YOUR_ACCESS_TOKEN>Authorization header
An access token
GET https://static-map-tiles-api.arcgis.com/arcgis/rest/services/static-basemap-tiles-service/v1/{style_family}/{style_name}/{z}/{y}/{x} HTTP/1.1
Host: basemapstyles-api.arcgis.com
Authorization: Bearer <YOUR_ACCESS_TOKEN>Attribution
All applications that use an ArcGIS API, SDK, service, content, or data must display Esri and data attribution. This also applies to applications that use ArcGIS Basemap services
Tiling scheme
The tiles are served as 512 x 512 pixels and are based on the ArcGIS MapServer specification.
Example
https://static-map-tiles-api.arcgis.com/arcgis/rest/services/static-basemap-tiles-service/v1/{style_family}/{style_name}/{z}/{y}/{x}Style family and names
The service supports styles from the ArcGIS Basemap styles and Open Basemap styles families. The ArcGIS style family data providers include
TomTom, Garmin, FAO, NOAA, USGS, OpenStreetMap (OSM) contributors, and the GIS User Community.
The Open style family data providers includeOpenStreetMap (OSM), Microsoft, Esri Community Maps, and other open data sources.
Below is a list of the supported style families and style names:
arcgis/navigationarcgis/navigation-nightarcgis/streetsarcgis/streets-nightarcgis/outdoorarcgis/light-grayarcgis/dark-grayarcgis/imagery-labelsarcgis/oceans-labelsarcgis/communityarcgis/novaarcgis/midcenturyarcgis/newspaperarcgis/human-geographyarcgis/human-geography-darkopen/osm-styleopen/navigationopen/navigation-darkopen/streetsopen/hybrid-detailopen/light-grayopen/dark-gray
To learn how to access the service to get these styles, go to ArcGIS Basemap styles or Open Basemap styles.
What's next?
Learn how to build mapping applications with the Static Basemap Tiles service.